org.apache.ignite.internal.visor.event

## Class VisorGridEventsLost

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.event.VisorGridEvent
    - - org.apache.ignite.internal.visor.event.VisorGridEventsLost

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorGridEventsLost
    extends VisorGridEvent

Special event for events lost situations.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`VisorGridEventsLost()` Default constructor.
`VisorGridEventsLost(UUID nid)` Create event with given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.visor.event.VisorGridEvent

`getId, getMessage, getName, getNid, getShortDisplay, getTimestamp, getTypeId, readExternalData, writeExternalData`

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorGridEventsLost

    public VisorGridEventsLost()

Default constructor.

#### VisorGridEventsLost

    public VisorGridEventsLost(UUID nid)

Create event with given parameters.

Parameters:
  `nid` - Node where events were lost.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `VisorGridEvent`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021